{ config, pkgs, lib, inputs, ... }:

with lib;
{
  imports = [
    ./hardware.nix
  ];

  # - Basic --------------------------------------

  user.name = "marc";
  user.shell = pkgs.zsh;
  networking.hostName = "hvannadal";
  networking.firewall = {
    enable = true;
  };

  # - Bootloader ---------------------------------

  boot.loader.grub = {
    enable = true;
    device = "/dev/vda";
  };

  # - Modules ------------------------------------

  samfelag.modules = {
    # - Common -----------------------------------
    # See modules/common.nix for common packages installed

    # - System -----------------------------------
    system.utils.enable = true;
    system.gpg.enable = true;
    system.pass.enable = true;
    system.ssh.enable = true;
    system.sshfs.enable = true;

    # - Editors and development ------------------
    dev.git.userName = "marc";
    dev.git.userEmail = "marc@sastre.cat";

    dev.docker.enable = true;
    dev.docker.users = ["marc"];
  };
}
